variables:
  SAST_EXCLUDED_PATHS: "venv"
  SAST_EXCLUDED_ANALYZERS: "eslint nodejs-scan"
  GIT_STRATEGY: clone

image: registry.gitlab.com/arise-biodiversity/arise-ui:docker-latest
services:
  - docker:dind

stages:
  - Security
  - Build

sast:
  stage: Security
include:
  - template: Security/SAST.gitlab-ci.yml

build_docker_image:
  stage: Build
  image: registry.gitlab.com/arise-biodiversity/arise-ui:docker-latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  script:
    - |+
      set -x

      SHA_TAG="${CI_REGISTRY_IMAGE}:git-${CI_COMMIT_SHA}"

      docker build -t $SHA_TAG .

      if [ ! -z "${CI_COMMIT_TAG}" ]; then
          RELEASE_TAG="${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}"

          docker tag $SHA_TAG $RELEASE_TAG
          docker push $RELEASE_TAG
      fi
